Bug 129567 - httpd crashes on every third kill -HUP
Summary: httpd crashes on every third kill -HUP
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: apache   
(Show other bugs)
Version: 2.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-10 14:02 UTC by Fred New
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 19:21:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gzipped core dump of httpd crash (752.02 KB, application/gzip)
2004-08-10 18:11 UTC, Fred New
no flags Details
Web server configuration files (68.00 KB, application/x-tar)
2004-08-10 18:12 UTC, Fred New
no flags Details

Description Fred New 2004-08-10 14:02:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
Gecko/20040707 Firefox/0.8

Description of problem:
Ever since the latest set of updates, httpd has been crashing every
third night when Logrotate uses kill -HUP.  Apache was last updated on
July 7, but the crashing didn't start until August 5.  This latter
date was when updates including kernel-smp-2.4.9-e.48 and
glibc-2.2.4-32.17 were installed.  This is happening on two of our
RHEL 2.1 ES servers.

Version-Release number of selected component (if applicable):
apache-1.3.27-8.ent

How reproducible:
Always

Steps to Reproduce:
1. service httpd start
2. 3 x kill -HUP `cat /var/run/httpd.pid`
    

Actual Results:  httpd crashes.

Expected Results:  httpd should continue to run.

Additional info:

# rpm -qa --last | head
kernel-smp-2.4.9-e.48                Thu 05 Aug 2004 11:51:38 PM EEST
samba-client-2.2.10-1.21as.1         Thu 05 Aug 2004 12:23:19 PM EEST
samba-2.2.10-1.21as.1                Thu 05 Aug 2004 12:23:18 PM EEST
samba-common-2.2.10-1.21as.1         Thu 05 Aug 2004 12:23:12 PM EEST
nscd-2.2.4-32.17                     Thu 05 Aug 2004 12:23:11 PM EEST
libpng-devel-1.0.14-7                Thu 05 Aug 2004 12:23:11 PM EEST
libpng-1.0.14-7                      Thu 05 Aug 2004 12:23:11 PM EEST
glibc-devel-2.2.4-32.17              Thu 05 Aug 2004 12:23:11 PM EEST
glibc-2.2.4-32.17                    Thu 05 Aug 2004 12:23:05 PM EEST
glibc-common-2.2.4-32.17             Thu 05 Aug 2004 12:23:02 PM EEST

Comment 1 Joe Orton 2004-08-10 15:38:27 UTC
Thanks for the report.  Do you get a segmentation fault logged in
/var/log/httpd/error_log?  What Apache modules are enabled, can you
attach your httpd.conf?


Comment 2 Fred New 2004-08-10 18:06:30 UTC
I can see a few messages like,

[Tue Aug 10 11:02:15 2004] [notice] child pid 18135 exit signal
Segmentation fault (11)

I will have to consult with my associate whether they coincide with
the crashes.

We have created a core dump that it indicates that there was a
segmentation fault.  I will attach it along with the config files.

Comment 3 Fred New 2004-08-10 18:11:17 UTC
Created attachment 102587 [details]
gzipped core dump of httpd crash

Comment 4 Fred New 2004-08-10 18:12:23 UTC
Created attachment 102588 [details]
Web server configuration files

Comment 5 Oliver Jones 2004-09-13 23:46:58 UTC
I too am experiencing this problem.  I think I've tracked it down to
PHP.  With the php-4.1.2-2.1.8 RPM installed the problem occurs.  rpm
-e that package (and dependents), restart httpd and the problem goes
away.  Of course this is perfectly useless if you, like us, are using
PHP for anything.

I think it is a bug in PHP not Apache.  So I've filed bug #132488.

Comment 6 RHEL Product and Program Management 2007-10-19 19:21:58 UTC
This bug is filed against RHEL2.1, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products.  Since
this bug does not meet that criteria, it is now being closed.

For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/

If you feel this bug is indeed mission critical, please contact your
support representative.  You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.